# Deprecated API

## Contents

- Fields
- Methods
- Enum Constants

Deprecated Fields
Field
Description
org.apache.lucene.util.automaton.RegExp.DEPRECATED_COMPLEMENT
This method will be removed in Lucene 11
org.apache.lucene.util.BitUtil.VH_BE_DOUBLE
Better use little endian unless it is needed for backwards compatibility.
org.apache.lucene.util.BitUtil.VH_BE_FLOAT
Better use little endian unless it is needed for backwards compatibility.
org.apache.lucene.util.BitUtil.VH_BE_INT
Better use little endian unless it is needed for backwards compatibility.
org.apache.lucene.util.BitUtil.VH_BE_LONG
Better use little endian unless it is needed for backwards compatibility.
org.apache.lucene.util.BitUtil.VH_BE_SHORT
Better use little endian unless it is needed for backwards compatibility.
org.apache.lucene.util.Version.LUCENE_9_0_0
(9.1.0) Use latest
org.apache.lucene.util.Version.LUCENE_9_1_0
(9.2.0) Use latest
org.apache.lucene.util.Version.LUCENE_9_10_0
(9.11.0) Use latest
org.apache.lucene.util.Version.LUCENE_9_11_0
Use latest
org.apache.lucene.util.Version.LUCENE_9_11_1
Use latest
org.apache.lucene.util.Version.LUCENE_9_12_0
Use latest
org.apache.lucene.util.Version.LUCENE_9_13_0
Use latest
org.apache.lucene.util.Version.LUCENE_9_2_0
(9.3.0) Use latest
org.apache.lucene.util.Version.LUCENE_9_3_0
(9.4.0) Use latest
org.apache.lucene.util.Version.LUCENE_9_4_0
Use latest
org.apache.lucene.util.Version.LUCENE_9_4_1
Use latest
org.apache.lucene.util.Version.LUCENE_9_4_2
Use latest
org.apache.lucene.util.Version.LUCENE_9_5_0
(9.6.0) Use latest
org.apache.lucene.util.Version.LUCENE_9_6_0
(9.7.0) Use latest
org.apache.lucene.util.Version.LUCENE_9_7_0
(9.8.0) Use latest
org.apache.lucene.util.Version.LUCENE_9_8_0
(9.9.0) Use latest
org.apache.lucene.util.Version.LUCENE_9_9_0
(9.9.1) Use latest
org.apache.lucene.util.Version.LUCENE_9_9_1
(9.9.2) Use latest
org.apache.lucene.util.Version.LUCENE_9_9_2
(9.10.0) Use latest
org.apache.lucene.util.Version.LUCENE_CURRENT
Use `Version.LATEST`

Deprecated Methods
Method
Description
org.apache.lucene.search.IndexSearcher.search(Query, Collector)
This method is being deprecated in favor of `IndexSearcher.search(Query, CollectorManager)` due to its support for concurrency in IndexSearcher
org.apache.lucene.search.SortField.getOptimizeSortWithIndexedData()
org.apache.lucene.search.SortField.getOptimizeSortWithPoints()
This is a duplicate method for `SortField#getOptimizeSortWithIndexedData`.
org.apache.lucene.search.SortField.setOptimizeSortWithIndexedData(boolean)
should only be used for compatibility with 8.x indices that got created with inconsistent data across fields, or the wrong sort configuration in the index sort
org.apache.lucene.search.SortField.setOptimizeSortWithPoints(boolean)
should only be used for compatibility with 8.x indices that got created with inconsistent data across fields, or the wrong sort configuration in the index sort. This is a duplicate method for `SortField#setOptimizeSortWithIndexedData`.
org.apache.lucene.util.CharsRef.getUTF16SortedAsUTF8Comparator()
This comparator is only a transition mechanism

Deprecated Enum Constants
Enum Constant
Description
org.apache.lucene.util.automaton.RegExp.Kind.REGEXP_DEPRECATED_COMPLEMENT
Will be removed in Lucene 11
org.apache.lucene.util.packed.PackedInts.Format.PACKED_SINGLE_BLOCK
Use `PackedInts.Format.PACKED` instead.